> ## Documentation Index
> Fetch the complete documentation index at: https://docs.transmit.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Put v1topics

> Update topic



## OpenAPI

````yaml https://api.transmit.dev/openapi.json put /v1/topics/{id}
openapi: 3.1.0
info:
  title: Transmit.dev API
  description: >-
    A powerful email API for transactional and marketing emails. Send emails
    with tracking, analytics, and webhook support.
  version: 1.0.3
servers:
  - url: https://api.transmit.dev
    description: Production server
security:
  - bearerAuth: []
tags:
  - name: Emails
    description: Email sending and management operations
  - name: SMS
    description: SMS sending and management operations with toll-free numbers
  - name: Analytics
    description: Performance analytics and metrics
  - name: Billing
    description: Credit balance and usage information
  - name: Contacts
    description: Contact management operations
  - name: Webhooks
    description: Webhook configuration and testing
paths:
  /v1/topics/{id}:
    put:
      tags:
        - Topics
      description: Update topic
      operationId: updateTopic
      parameters:
        - schema:
            type: string
          in: path
          name: id
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                description:
                  type: string
                is_default_topic:
                  type: boolean
                display_order:
                  type: number
      responses: {}
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        Enter your API key with 'tx_' prefix. Get your API key from the
        dashboard.

````